Doomsday Engine - Bug #546

Spider Boss shoots too high
2008-10-14 00:08 - jon13

Status: Closed Start date: 2008-10-14
Priority: High % Done: 100%
Assignee: danij

Category:

Target version:

Description

When playing against the Spider "mastermind”, it shoots too high. This can be seen by going into the plutonia wad, 1st level. Atthe
end of the tunnel, a spider boss is shooting at you - but fear not - he has really bad aim. If you turn around, you can see all of his hits
hitting the wall a 'foot' or so above your head. If you jump up, you will then take hits. This basically means that you have nothing to
fear from them as long as you are both at the same "altitude’. This is on linux/SDL with the jdrp models, though removing the models
does not affect anything.

Labels: Gameplay

Related issues:
Related to Bug #1953: [Multiplayer] Enemy hitscan based attacks off target (c... Closed 2015-01-28

History

#1 - 2008-10-14 03:41 - mochtroid-x

| can verify this, though the spider mastermind does not aim high, but has a problem with aiming in general.
In this screenshot of Ultimate Doom E3M8 you can clearly see from the spider's bullet puffs that it is unable to aim above the outer platform:

http://img530.imageshack.us/img530/2490/doom1ultimate002xv1.png

I am running SVN 5924.

#2 - 2009-01-17 09:30 - danij

After some initial investigation it would seem the problem lies in the line opening calculation. Will investigate further.

#3 - 2009-01-17 09:40 - danij

Scratch that. The line opening range is being calculated correctly. Perhaps its the aimSlope that is off?

#4 - 2009-01-18 11:39 - danij

Probably related to this; PTR_ShootTraverse() is not hitting upper sidedef sections when their ceiling is a sky surface.

#5 - 2009-02-24 16:16 - danij
Fixed in svn rev #6419

#6 - 2015-01-27 12:43 - eunbolt

This seems to be a problem again.

| have just noticed it on the nz/au plutonia co-op server

#7 - 2015-01-27 17:05 - danij
- Tags set to Multiplayer, PlaySim

#8 - 2015-01-27 17:05 - danij

I've just tested this in multiplayer and its not just the Spider Mastermind that is affected, all enemy hitscans are off. Singleplayer works fine.

#9 - 2015-01-28 21:54 - danij
- Related to Bug #1953: [Multiplayer] Enemy hitscan based attacks off target (co-op) added
